summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2002-11-17 21:58:43 +0000
committerMike Frysinger <vapier@gentoo.org>2002-11-17 21:58:43 +0000
commit776daa8dd1421880cabf0b85b1bb25313fffccae (patch)
tree5fbfa42b9730acf22aeb761680dd5c201952a8e8 /eclass
parentperl + java work now, thanks Nicholas Wourms <nwourms@netscape.net> (diff)
downloadhistorical-776daa8dd1421880cabf0b85b1bb25313fffccae.tar.gz
historical-776daa8dd1421880cabf0b85b1bb25313fffccae.tar.bz2
historical-776daa8dd1421880cabf0b85b1bb25313fffccae.zip
added egamesinstall
Diffstat (limited to 'eclass')
-rw-r--r--eclass/games.eclass16
1 files changed, 15 insertions, 1 deletions
diff --git a/eclass/games.eclass b/eclass/games.eclass
index d706535346b3..b9171c877c1f 100644
--- a/eclass/games.eclass
+++ b/eclass/games.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2000 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.5 2002/11/06 05:53:33 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/games.eclass,v 1.6 2002/11/17 21:58:43 vapier Exp $
# devlist: {bass,phoenix,vapier}@gentoo.org
# This is the games ebuild for standardizing the install of games ...
@@ -39,6 +39,20 @@ egameconf() {
fi
}
+egamesinstall() {
+ if [ -f ./[mM]akefile -o -f ./GNUmakefile ] ; then
+ make prefix=${D}${GAMES_PREFIX} \
+ mandir=${D}/usr/share/man \
+ infodir=${D}/usr/share/info \
+ datadir=${D}${GAMES_DATADIR} \
+ sysconfdir=${D}${GAMES_SYSCONFDIR} \
+ localstatedir=${D}${GAMES_STATEDIR} \
+ "$@" install || die "einstall failed"
+ else
+ die "no Makefile found"
+ fi
+}
+
gameswrapper() {
local oldtree=${DESTTREE}
into ${GAMES_PREFIX}